Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmPriceOfBudget.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmPriceOfBudget.cs	(revision 80)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmPriceOfBudget.cs	(revision 81)
@@ -740,32 +740,6 @@
                 // コンボボックス初期表示
                 ComboBoxAction.InitDataSetCombBox(cmbDepartment, ConstructionDataList);
 
-                // 新セキュリティデータ対応済みかを確認する
-                if (CommonMotions.LoginUserData.SecCode == 0)
-                {
-                    // 所属長
-                    // 一般使用者（自分のみアクセス可能）
-                    if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key ||
-                        CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
-                    {
-                        // 総務部所属者以外
-                        if (CommonMotions.LoginUserData.DepartmentCode != CommonDefine.s_GeneralAffairsDevision)
-                            cmbDepartment.SelectedValue = CommonMotions.LoginUserData.DepartmentCode;
-                    }
-                }
-                else
-                {
-                    // 対象がコンボボックスデータにあればセットする
-                    for (int i = 0; i < cmbDepartment.Items.Count; i++)
-                    {
-                        KeyValuePair<int, string> wrkPair = (KeyValuePair<int, string>)cmbDepartment.Items[i];
-                        if (wrkPair.Key == CommonMotions.LoginUserData.DepartmentCode)
-                        {
-                            cmbDepartment.SelectedValue = CommonMotions.LoginUserData.DepartmentCode;
-                        }
-                    }
-                }
-
                 return true;
             }
             catch (Exception ex)
@@ -800,9 +774,18 @@
                 string strSQL = string.Empty;
                 int DepartmentCode = GetDepartmentCode();
                 if (DepartmentCode == 0)
-                    strSQL = " WHERE DeleteFlg = 0 Order By EmployeeClassFlg ASC, DisplayOrder ASC";
+                {
+                    strSQL = " WHERE DeleteFlg = 0";
+                    strSQL += string.Format(" AND EmployeeClassFlg = {0}", (int)CommonDefine.EmployeeClassFlg.Regular);
+                    // 参照部署マスタより取得する
+                    strSQL += " AND DEPARTMENTCODE IN (SELECT AA.DEPARTMENTCODE FROM PERSONDEPARTMENTMASTER AA";
+                    strSQL += string.Format(" WHERE AA.PERSONCODE = {0})", CommonMotions.LoginUserData.PersonCode);
+                    strSQL += " Order By EmployeeClassFlg ASC, DisplayOrder ASC";
+                }
                 else
+                {
                     strSQL = string.Format(" WHERE DEPARTMENTCODE = {0} AND DeleteFlg = 0 Order By EmployeeClassFlg ASC, DisplayOrder ASC", DepartmentCode);
+                }
 
                 // 担当者マスタ読込
                 if (!picDB.SelectAction(strSQL, ref workList)) return false;
@@ -820,28 +803,6 @@
                 // コンボボックス初期表示
                 ComboBoxAction.InitDataSetCombBox(cmbConstructionPerson, ConstructionDataList);
 
-                // 新セキュリティデータ対応済みかを確認する
-                if (CommonMotions.LoginUserData.SecCode == 0)
-                {
-                    // 一般ユーザーで総務部所属者ではない場合、ログイン者のコードをセットする
-                    if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key &&
-                        CommonMotions.LoginUserData.DepartmentCode != CommonDefine.s_GeneralAffairsDevision)
-                    {
-                        cmbConstructionPerson.SelectedValue = CommonMotions.LoginUserData.PersonCode;
-                    }
-                }
-                else
-                {
-                    for (int i = 0; i < cmbConstructionPerson.Items.Count; i++)
-                    {
-                        KeyValuePair<int, string> wrkPair = (KeyValuePair<int, string>)cmbConstructionPerson.Items[i];
-                        if (wrkPair.Key == CommonMotions.LoginUserData.PersonCode)
-                        {
-                            cmbConstructionPerson.SelectedValue = CommonMotions.LoginUserData.PersonCode;
-                        }
-                    }
-                }
-
                 return true;
             }
             catch (Exception ex)
